<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="nl/naturalis/nba/api/package-tree.html">nl.naturalis.nba.api</a>, </li>
<li><a href="nl/naturalis/nba/api/annotations/package-tree.html">nl.naturalis.nba.api.annotations</a>, </li>
<li><a href="nl/naturalis/nba/api/model/package-tree.html">nl.naturalis.nba.api.model</a>, </li>
<li><a href="nl/naturalis/nba/api/model/metadata/package-tree.html">nl.naturalis.nba.api.model.metadata</a>, </li>
<li><a href="nl/naturalis/nba/api/model/summary/package-tree.html">nl.naturalis.nba.api.model.summary</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Agent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Agent</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Organization.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Organization</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Person.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Person</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Expert.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Expert</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/AssociatedTaxon.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">AssociatedTaxon</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/BioStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">BioStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/ChronoStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ChronoStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/DefaultClassification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">DefaultClassification</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.metadata.<a href="nl/naturalis/nba/api/model/metadata/FieldInfo.html" title="class in nl.naturalis.nba.api.model.metadata"><span class="typeNameLink">FieldInfo</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/Filter.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">Filter</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/GatheringEvent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GatheringEvent</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/MultiMediaGatheringEvent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaGatheringEvent</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GatheringSiteCoordinates</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/GeoPoint.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GeoPoint</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Iptc4xmpExt.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Iptc4xmpExt</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/KeyValuePair.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">KeyValuePair</span></a>&lt;T,&#8203;U&gt;</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/LithoStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">LithoStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Monomial.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Monomial</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/NamedArea.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">NamedArea</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NameResolutionRequest.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionRequest</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">NbaTraceableObject</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/GeoArea.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GeoArea</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaObject</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/SpecimenMultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenMultiMediaObject</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonMultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonMultiMediaObject</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Specimen.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Specimen</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Taxon.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Taxon</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/Path.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">Path</span></a> (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryCondition</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/QueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResult</span></a>&lt;T&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Iterable</a>&lt;T&gt;)
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/BatchQueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">BatchQueryResult</span></a>&lt;T&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/GroupByScientificNameQueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQueryResult</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/QueryResultItem.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResultItem</span></a>&lt;T&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QuerySpec</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQuerySpec</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionQuerySpec</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Reference.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Reference</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.metadata.<a href="nl/naturalis/nba/api/model/metadata/RestService.html" title="class in nl.naturalis.nba.api.model.metadata"><span class="typeNameLink">RestService</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/ScientificName.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ScientificName</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ScientificNameGroup</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ServiceAccessPoint</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/SortField.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">SortField</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/SourceSystem.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SourceSystem</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryGatheringEvent.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryGatheringEvent</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryGatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryGatheringSiteCoordinates</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryOrganization.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryOrganization</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryPerson.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryPerson</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryScientificName.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryScientificName</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummarySourceSystem.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummarySourceSystem</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummarySpecimen.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummarySpecimen</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummarySpecimenIdentification.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummarySpecimenIdentification</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryTaxon.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryTaxon</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.summary.<a href="nl/naturalis/nba/api/model/summary/SummaryVernacularName.html" title="class in nl.naturalis.nba.api.model.summary"><span class="typeNameLink">SummaryVernacularName</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Synonym.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Synonym</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonDescription.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonDescription</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonomicEnrichment.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicEnrichment</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonomicIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicIdentification</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/MultiMediaContentIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaContentIdentification</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenIdentification</span></a></li>
</ul>
</li>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Exception.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Exception</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NbaException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NbaException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/InvalidQueryException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">InvalidQueryException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/InvalidConditionException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">InvalidConditionException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/IllegalOperatorException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">IllegalOperatorException</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NoSuchDataSetException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NoSuchDataSetException</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NoSuchFieldException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NoSuchFieldException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/VernacularName.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">VernacularName</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/INbaAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaAccess</span></a>&lt;DOCUMENT_OBJECT&gt;
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/IGeoAreaAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">IGeoAreaAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/IMultiMediaObjectAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">IMultiMediaObjectAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/ISpecimenAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">ISpecimenAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/ITaxonAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">ITaxonAccess</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/INbaDocumentMetaData.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaDocumentMetaData</span></a>&lt;DOCUMENT_OBJECT&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/INbaMetaData.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaMetaData</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model"><span class="typeNameLink">INbaModelObject</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model"><span class="typeNameLink">IDocumentObject</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
<ul>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/Analyzers.html" title="annotation in nl.naturalis.nba.api.annotations"><span class="typeNameLink">Analyzers</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation" class="externalLink">Annotation</a>)</li>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/GeoShape.html" title="annotation in nl.naturalis.nba.api.annotations"><span class="typeNameLink">GeoShape</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation" class="externalLink">Annotation</a>)</li>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/NotIndexed.html" title="annotation in nl.naturalis.nba.api.annotations"><span class="typeNameLink">NotIndexed</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation" class="externalLink">Annotation</a>)</li>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/NotNested.html" title="annotation in nl.naturalis.nba.api.annotations"><span class="typeNameLink">NotNested</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation" class="externalLink">Annotation</a>)</li>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/NotStored.html" title="annotation in nl.naturalis.nba.api.annotations"><span class="typeNameLink">NotStored</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation" class="externalLink">Annotation</a>)</li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.annotations.<a href="nl/naturalis/nba/api/annotations/Analyzer.html" title="enum in nl.naturalis.nba.api.annotations"><span class="typeNameLink">Analyzer</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/AreaClass.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">AreaClass</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">ComparisonOperator</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQuerySpec.GroupSort</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/License.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">License</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/LicenseType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">LicenseType</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/LogicalOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">LogicalOperator</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/NameResolutionRequest.NameType.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionRequest.NameType</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.metadata.<a href="nl/naturalis/nba/api/model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata"><span class="typeNameLink">NbaSetting</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/ResourceType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">ResourceType</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/Sex.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">Sex</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/SortOrder.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">SortOrder</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">SpatialDatum</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenTypeStatus</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonomicRank.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicRank</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicStatus</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonRelationType</span></a> (implements nl.naturalis.nba.api.model.<a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.<a href="nl/naturalis/nba/api/UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">UnaryBooleanOperator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
